aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher (jlec) <jlec@j-schmitz.net>2009-02-03 17:28:06 +0100
committerJustin Lecher (jlec) <jlec@j-schmitz.net>2009-02-03 17:28:06 +0100
commit01bd5053ba9903e328973ba68a1488fc0587c1e1 (patch)
tree2a57f4d27ce47ed6f4a55a6b591e5e8edf7aa664 /sci-chemistry/nmrpipe
parentRevert "Revert "sci-chemistry/ccpn numpy USE flag removed"" (diff)
downloadsci-01bd5053ba9903e328973ba68a1488fc0587c1e1.tar.gz
sci-01bd5053ba9903e328973ba68a1488fc0587c1e1.tar.bz2
sci-01bd5053ba9903e328973ba68a1488fc0587c1e1.zip
x11-libs/xview bump and sci-chemistry/nmrpipe
Diffstat (limited to 'sci-chemistry/nmrpipe')
-rw-r--r--sci-chemistry/nmrpipe/ChangeLog89
-rw-r--r--sci-chemistry/nmrpipe/Manifest12
-rw-r--r--sci-chemistry/nmrpipe/files/env-nmrpipe23
-rw-r--r--sci-chemistry/nmrpipe/metadata.xml10
-rw-r--r--sci-chemistry/nmrpipe/nmrpipe-9.27.2007.222.14.56.ebuild132
5 files changed, 266 insertions, 0 deletions
diff --git a/sci-chemistry/nmrpipe/ChangeLog b/sci-chemistry/nmrpipe/ChangeLog
new file mode 100644
index 000000000..58f94cfa8
--- /dev/null
+++ b/sci-chemistry/nmrpipe/ChangeLog
@@ -0,0 +1,89 @@
+# ChangeLog for sci-chemistry/nmrpipe
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 03 Feb 2009; justin Lecher (jlec) <jlec@j-schmitz.net>
+ +x11-libs/xview/files/lseek2.diff,
+ +x11-libs/xview/files/CAN-2005-0076.patch, +licenses/XVIEW,
+ +sci-chemistry/nmrpipe/files/env-nmrpipe,
+ +sci-chemistry/nmrpipe/metadata.xml, +x11-libs/xview/files/lseek.diff,
+ +x11-libs/xview/metadata.xml:
+ added to sci overlay
+
+*nmrpipe-9.27.2007.222.14.56 (03 Jun 2008)
+
+ 03 Jun 2008; Jeff Gardner <je_fro@gentoo.org>
+ -nmrpipe-2.5.2006.184.15.37.ebuild, +nmrpipe-9.27.2007.222.14.56.ebuild:
+ New version, removed old as it's no longer available. Thanks to toto.
+
+ 28 Nov 2007; Jeff Gardner <je_fro@gentoo.org>
+ nmrpipe-2.5.2006.184.15.37.ebuild:
+ Fixing manifest and adding sed call as suggested by justin in bug 200389.
+
+ 22 Jul 2007; Donnie Berkholz <dberkholz@gentoo.org>;
+ nmrpipe-2.5.2006.184.15.37.ebuild:
+ Drop virtual/x11 references.
+
+ 18 Jul 2007; Jeff Gardner <je_fro@gentoo.org> metadata.xml:
+ Add myself as maintainer in metadata.xml
+
+ 17 Jul 2007; Jeff Gardner <je_fro@gentoo.org>
+ files/digest-nmrpipe-2.5.2006.184.15.37, ChangeLog, Manifest:
+ Updating Manifest with latest nmrpipe files.
+
+*nmrpipe-2.5.2006.184.15.37 (18 Oct 2006)
+
+ 18 Oct 2006; Olivier Fisette <ribosome@gentoo.org>
+ -nmrpipe-2.3.2005.167.14.44.ebuild, +nmrpipe-2.5.2006.184.15.37.ebuild:
+ New upstream version (fixes bug #151627, thanks to Stephen Floor
+ <snf@extrospective.net> for reporting.) Removing old version to avoid digest
+ mismatches.
+
+ 20 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>; metadata.xml:
+ (#148281) Change herd to sci-chemistry from sci.
+
+ 05 Feb 2006; Olivier Fisette <ribosome@gentoo.org>
+ nmrpipe-2.3.2005.167.14.44.ebuild:
+ Ported to modular X.
+
+ 30 Jan 2006; Robin H. Johnson <robbat2@gentoo.org> Manifest:
+ Manifest fix.
+
+ 29 Jan 2006; Marcus D. Hanwell <cryos@gentoo.org>
+ nmrpipe-2.3.2005.167.14.44.ebuild:
+ Dependency update: media-gfx/gnuplot -> sci-visualization/gnuplot.
+
+*nmrpipe-2.3.2005.167.14.44 (18 Oct 2005)
+
+ 18 Oct 2005; Olivier Fisette <ribosome@gentoo.org>
+ -files/nmrpipe-20050616-env, +files/env-nmrpipe,
+ +nmrpipe-2.3.2005.167.14.44.ebuild, -nmrpipe-20050616-r1.ebuild:
+ New version. Removing obsolete version.
+
+*nmrpipe-20050616-r1 (31 Aug 2005)
+
+ 31 Aug 2005; Olivier Fisette <ribosome@gentoo.org>
+ -nmrpipe-20050616.ebuild, +nmrpipe-20050616-r1.ebuild:
+ Ebuild clean-up. Removed useless installation log files.
+
+*nmrpipe-20050616 (22 Jul 2005)
+
+ 22 Jul 2005; Olivier Fisette <ribosome@gentoo.org>
+ files/nmrpipe-20050415-env, -nmrpipe-20050415-r1.ebuild,
+ +nmrpipe-20050616.ebuild:
+ New version. Removing the older version since the archives are no longer
+ available.
+
+*nmrpipe-20050415-r1 (20 Jul 2005)
+
+ 20 Jul 2005; Olivier Fisette <ribosome@gentoo.org>
+ files/nmrpipe-20050415-env, -nmrpipe-20050415.ebuild,
+ +nmrpipe-20050415-r1.ebuild:
+ Fixed a few potential problems, including bug #99685. Thanks to Katia
+ Lecours <klecours@rsvs.ulaval.ca> for reporting.
+
+*nmrpipe-20050415 (24 May 2005)
+
+ 24 May 2005; Olivier Fisette <ribosome@gentoo.org>
+ +files/nmrpipe-20050415-env, +metadata.xml, +nmrpipe-20050415.ebuild:
+ Initial import.
diff --git a/sci-chemistry/nmrpipe/Manifest b/sci-chemistry/nmrpipe/Manifest
new file mode 100644
index 000000000..31450fe3d
--- /dev/null
+++ b/sci-chemistry/nmrpipe/Manifest
@@ -0,0 +1,12 @@
+AUX env-nmrpipe 499 RMD160 11ab9f42b03700caedfe344186c47fd4a6409758 SHA1 8431685d268b14d88dd31cb494f0d333fff225b9 SHA256 f16820dd88ae38c8db6ffed19a97aade62f0de4c3de692b7a2c3b89897d894e2
+DIST acme.tar.Z 11681951 RMD160 fdcf35fab1b63ddda55288b1b2ed0f82c8299bef SHA1 5093f92a4d7e4173bc056b6b1922a6da8e6bbf0c SHA256 5713452a1461e636f0de48e5ce3476fc0ae60b3f78a0288744f45e455f3445d9
+DIST binval.com 3374 RMD160 8ed338cc415c483081cf2021724402af296ab5e9 SHA1 7246ab6cd2b8feaa917c563bdbe93aef47b04a22 SHA256 8140386fe3c0ec4658ed228f33c4306429f5d0aa55135e77348a7dca782baf6e
+DIST dyn.tar.Z 46449682 RMD160 75b6497431561b82127685a567d1a57201a207ae SHA1 a6642f82f1e7130aafb718763b262715abed2e4a SHA256 abfafb53be559a5d0983849a66ec9be0140d591a7fc4008018b0942058128fa6
+DIST install.com 24500 RMD160 95b2bf620786bec3a4ea452935df7a4dbe3582b9 SHA1 1e4201beab43306f92300d03c9a45ddd5eca8d0b SHA256 06102617ded486ee1236d34c2ede16f6ee482d146c83a0c1be53fc5a1fa8a5f7
+DIST mfr.tar.Z 1014585 RMD160 285bcc0acd67e8e4e86eceffda63731c61239c93 SHA1 5e8b15337a22eccd803ee657a5447075553012b1 SHA256 28fed5bb6a01719d98e139685c5961834877fb4e61c107673cfa21914f62891b
+DIST nmrpipe.linux9.tar.Z 43760321 RMD160 d02f6c11dc6340716cb8e43d7bdca4b327a1b4ae SHA1 301637f1318402e774f6d636e5b1cc295c86463e SHA256 596c989ad193cf4fe7a2af4c414dd014d225c19014f71096f987d2c54e93bae2
+DIST pdbH.tar.Z 88196505 RMD160 d1ac67f57f6d2bd3d9c07bd5b5362ffaa15b0d72 SHA1 519544ccacc8d369caa42c7510f5fd44f5e39722 SHA256 1960b2e544c3744ec83e49f927589e15adf8af480947ae3b4d2ece495a00e92a
+DIST valpha.tar 490800640 RMD160 da5779f72680ccc8b88bde8c485db26665970423 SHA1 5583e3c435496251750b464a737755c1f8d055cd SHA256 6072ac73245404d5810bef9300d76328585fcfb4bce9d517815624bcc0a9634c
+EBUILD nmrpipe-9.27.2007.222.14.56.ebuild 4434 RMD160 060e71f5dc1fa850aacea6e2e6fca33be2d26f44 SHA1 c4fac91534c5ca17580f0037633ccbeca6b0d1fe SHA256 eed3bf5f7c05764be316181e0108ed81655f801fb313516d9cf551e4f65e0df0
+MISC ChangeLog 3249 RMD160 4786942e4e5e55a167dce4041c9d9f7947f56812 SHA1 fe272a80ed0957e69f1f0f777747f47c9a3025a6 SHA256 13ccca72c23cca86c0ed77f5adfe7c6b3827d74993273ff539a68f946763a64d
+MISC metadata.xml 273 RMD160 77dd0acbd8530bfceee840dfeccd1f4228e0460b SHA1 7c6794b74e4f357c0cd501266226eda09417d6ee SHA256 ed6f9e4b8aa59f68498bb75bf3be63a6de60feda167e4ceb12c7cb81bf8aac09
diff --git a/sci-chemistry/nmrpipe/files/env-nmrpipe b/sci-chemistry/nmrpipe/files/env-nmrpipe
new file mode 100644
index 000000000..beb9d707e
--- /dev/null
+++ b/sci-chemistry/nmrpipe/files/env-nmrpipe
@@ -0,0 +1,23 @@
+# Platform
+BINTYPE="linux9"
+
+# NMRPipe
+NMRBASE="/opt/nmrpipe"
+NMRTXT="${NMRBASE}/nmrtxt"
+MANPATH="${NMRBASE}/man"
+PATH="${NMRBASE}/bin"
+# Auxiliary NMRPipe scripts
+# PATH="${PATH}:${NMRBASE}/com"
+
+# Dynamo
+DYNAMO_DIR="${NMRBASE}/dynamo"
+DYNAMO_PARAMS="${DYNAMO_DIR}/params"
+SURF_DIR="${DYNAMO_DIR}/surface"
+PATH="${PATH}:${DYNAMO_DIR}/tcl"
+DYNAMO_KEY="2002084"
+
+# PDBH
+PDBH_BASE="${NMRBASE}/pdb"
+PDBH_DIR="${PDBH_BASE}/pdbH"
+PDBH_LIST="${PDBH_BASE}/pdbH.list"
+PDBH_TAB="${PDBH_BASE}/resolution.tab"
diff --git a/sci-chemistry/nmrpipe/metadata.xml b/sci-chemistry/nmrpipe/metadata.xml
new file mode 100644
index 000000000..9b727ece3
--- /dev/null
+++ b/sci-chemistry/nmrpipe/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>maintainer-wanted</herd>
+ <maintainer>
+ <email>jlec@j-schmitz.net</email>
+ <name>Justin Lecher (jlec)</name>
+ </maintainer>
+</pkgmetadata>
+
diff --git a/sci-chemistry/nmrpipe/nmrpipe-9.27.2007.222.14.56.ebuild b/sci-chemistry/nmrpipe/nmrpipe-9.27.2007.222.14.56.ebuild
new file mode 100644
index 000000000..67206ba69
--- /dev/null
+++ b/sci-chemistry/nmrpipe/nmrpipe-9.27.2007.222.14.56.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Spectral visualisation, analysis and Fourier processing"
+# The specific terms of this license are printed automatically on startup
+# by some NMRPipe applications. The user also has to accept them before
+# downloading the package.
+LICENSE="as-is"
+HOMEPAGE="http://spin.niddk.nih.gov/bax/software/NMRPipe/"
+# The NMRPipe installation script which we are not allowed to modify
+# requires all the following to be present for a complete installation.
+# Many of the bundled applications and libraries are afterwards deleted
+# (by this ebuild). The Gentoo provided applications and libraries are
+# used instead. The notable exception is the Tcl/Tk libraries; NMRPipe
+# requires a modified version of these. Unfortunately, this requires to
+# redefine the location of the libraries, which is done by sourcing an
+# initialisation script. NMRPipe users are used to this, and this ebuild
+# also prints a notice to this effect.
+SRC_URI="${PN}.linux9.tar.Z
+ dyn.tar.Z
+ mfr.tar.Z
+ pdbH.tar.Z
+ valpha.tar
+ acme.tar.Z
+ binval.com
+ install.com"
+
+SLOT="0"
+IUSE=""
+# Right now, precompiled executables are only available for Linux on the
+# x86 architecture. The maintainer chose to keep the sources closed, but
+# says he will gladly provide precompiled executables for other platforms
+# if there are such requests.
+KEYWORDS="-* ~x86"
+
+# The maintainer absolutely wants to control redistribution.
+RESTRICT="fetch"
+
+DEPEND="app-shells/tcsh"
+
+RDEPEND="${DEPEND}
+ dev-lang/tcl
+ dev-lang/tk
+ dev-tcltk/blt
+ sys-libs/libtermcap-compat
+ sys-libs/ncurses
+ x11-libs/xview
+ x11-libs/libX11"
+
+S="${WORKDIR}"
+NMRBASE="/opt/${PN}"
+
+pkg_nofetch() {
+ einfo "Please visit:"
+ einfo "\t${HOMEPAGE}"
+ einfo
+ einfo "Contact the package maintainer, then download the following files:"
+ for i in ${A}; do
+ einfo "\t${i}"
+ done
+ einfo
+ einfo "Place the downloaded files in your distfiles directory:"
+ einfo "\t${DISTDIR}"
+ echo
+}
+
+src_unpack() {
+ # The installation script will unpack the package. We just provide symlinks
+ # to the archive files, ...
+ for i in ${PN}.linux9.tar.Z dyn.tar.Z mfr.tar.Z \
+ pdbH.tar.Z valpha.tar acme.tar.Z; do
+ ln -s "${DISTDIR}"/${i} ${i}
+ done
+ # ... copy the installation scripts ...
+ cp "${DISTDIR}"/{binval.com,install.com} .
+ # ... and make the installation scripts executable.
+ chmod +x binval.com install.com
+}
+
+src_compile() {
+ # Unset DISPLAY to avoid the interactive graphical test.
+ DISPLAY="" ./install.com "${S}" || die
+ # Remove the symlinks for the archives and the installation scripts.
+ for i in ${A}; do
+ rm ${i} || die "Failed to remove archive symlinks."
+ done
+ # Remove some of the bundled applications and libraries; they are
+ # provided by Gentoo instead.
+ rm -r nmrbin.linux9/{0.0,lib,*timestamp,xv,gnuplot*,rasmol*} \
+ || die "Failed to remove unnecessary libraries."
+ # Remove the initialisation script generated during the installation.
+ # It contains incorrect hardcoded paths; only the "nmrInit.com" script
+ # should be used.
+ rm com/nmrInit.linux9.com || die "Failed to remove broken init script."
+ # Make the precompiled Linux binaries executable.
+ chmod +x nmrbin.linux9/* || die "Failed to make programs executable."
+ # Set the correct path to NMRPipe in the auxiliary scripts.
+ cd com
+ for i in *; do
+ sed -e "s%/u/delaglio%${NMRBASE}%" -i ${i} || die \
+ "Failed patching scripts."
+ done
+ sed -i "s:${WORKDIR}:${NMRBASE}:g" font.com
+ # Remove installation log files.
+ cd "${S}"
+ rm *.log || die "Failed to remove installation log."
+}
+
+src_install() {
+ newenvd "${FILESDIR}"/env-${PN} 40${PN} || die "Failed to install env file."
+ insinto ${NMRBASE}
+ insopts -m0755
+ doins -r * || die "Failed to install application."
+ dosym ${NMRBASE}/nmrbin.linux9 ${NMRBASE}/bin || die \
+ "Failed to symlink binaries."
+}
+
+pkg_postinst() {
+ echo
+ ewarn "Before using NMRPipe applications, users must source the following"
+ ewarn "csh script, which will set the necessary environment variables:"
+ ewarn "\t${NMRBASE}/com/nmrInit.com"
+ ewarn
+ ewarn "Be aware that this script redefines the locations of the Tcl"
+ ewarn "libraries. This could break other non-NMRPipe Tcl applications"
+ ewarn "run in the same session."
+ ewarn
+ ewarn "Using Dynamo does not require running an additional initialisation"
+ ewarn "script. The necessary environment variables should already be set."
+ echo
+}